## simutrans 111.0

=== Makefile ===
CFG ?= default
-include config.$(CFG)


BACKENDS      = allegro gdi sdl mixer_sdl x11 posix
COLOUR_DEPTHS = 0 8 16
OSTYPES       = amiga beos cygwin freebsd haiku linux mingw mac

ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
  $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
endif

ifeq ($(findstring $(COLOUR_DEPTH), $(COLOUR_DEPTHS)),)
  $(error Unkown COLOUR_DEPTH "$(COLOUR_DEPTH)", must be one of "$(COLOUR_DEPTHS)")
endif

ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
  $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
endif


ifeq ($(BACKEND), x11)
  $(warning ATTENTION: X11 backend is broken)
endif


ifeq ($(OSTYPE),amiga)
  STD_LIBS ?= -lz -lbz2 -lunix -lpthread -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
  CFLAGS += -mcrt=newlib -DUSE_C -DBIG_ENDIAN -gstabs+
  LDFLAGS += -Bstatic -non_shared
endif

ifeq ($(OSTYPE),beos)
  LIBS += -lz -lnet -lbz2
endif

ifeq ($(OSTYPE),haiku)
  LIBS += -lz -lnetwork -lbz2
endif

ifeq ($(OSTYPE),freebsd)
  LIBS += -lz -lbz2
endif

ifeq ($(OSTYPE),mac)
  CFLAGS  += -DUSE_HW
  CCFLAGS += -Os -fast
  LIBS    += -lz -lbz2
endif

ifeq ($(OSTYPE),linux)
  LIBS += -lz -lbz2
endif


ifeq ($(OSTYPE),cygwin)
  CFLAGS += -I/usr/include/mingw -mwin32
  LIBS   += -lgdi32 -lwinmm -lz -lbz2
endif

ifeq ($(OSTYPE),mingw)
  CC ?= gcc
  SOURCES += simsys_w32_png.cc
  CFLAGS  += -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
  ifeq ($(BACKEND),gdi)
    LIBS += -lunicows
    LDFLAGS +=  -mwindows
  endif
  LIBS += -lmingw32 -lgdi32 -lwinmm -lwsock32 -lz -lbz2
endif

ifeq ($(OSTYPE),mingw)
  SOURCES += clipboard_w32.cc
else
  SOURCES += clipboard_internal.cc
endif

ALLEGRO_CONFIG ?= allegro-config
SDL_CONFIG     ?= sdl-config


ifneq ($(OPTIMISE),)
    CFLAGS += -O3 -fno-schedule-insns
  ifneq ($(OSTYPE),mac)
    ifneq ($(OSTYPE),haiku)
      CFLAGS += -minline-all-stringops
    endif
  endif
else
  CFLAGS += -O
endif

ifdef DEBUG
  ifeq ($(shell expr $(DEBUG) \>= 1), 1)
    CFLAGS += -g -DDEBUG
  endif
  ifeq ($(shell expr $(DEBUG) \>= 2), 1)
    ifneq ($(PROFILE), 2)
      CFLAGS += -fno-inline
    endif
  endif
  ifeq ($(shell expr $(DEBUG) \>= 3), 1)
    ifneq ($(PROFILE), 2)
      CFLAGS += -O0
    endif
  endif
else
  CFLAGS += -DNDEBUG
endif

ifneq ($(PROFILE),)
  CFLAGS  += -pg -DPROFILE
  ifneq ($(PROFILE), 2)
    CFLAGS  += -fno-inline -fno-schedule-insns
  endif
  LDFLAGS += -pg
endif

ifneq ($(WITH_REVISION),)
  REV = $(shell svnversion)
  ifneq ($(REV),)
    CFLAGS  += -DREVISION="$(REV)"
  endif
endif

CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
CCFLAGS  += -Wstrict-prototypes


SOURCES += bauer/brueckenbauer.cc
SOURCES += bauer/fabrikbauer.cc
SOURCES += bauer/hausbauer.cc
SOURCES += bauer/tunnelbauer.cc
SOURCES += bauer/vehikelbauer.cc
SOURCES += bauer/warenbauer.cc
SOURCES += bauer/wegbauer.cc
SOURCES += besch/bild_besch.cc
SOURCES += besch/bruecke_besch.cc
SOURCES += besch/fabrik_besch.cc
SOURCES += besch/grund_besch.cc
SOURCES += besch/haus_besch.cc
SOURCES += besch/reader/bridge_reader.cc
SOURCES += besch/reader/building_reader.cc
SOURCES += besch/reader/citycar_reader.cc
SOURCES += besch/reader/crossing_reader.cc
SOURCES += besch/reader/factory_reader.cc
SOURCES += besch/reader/good_reader.cc
SOURCES += besch/reader/ground_reader.cc
SOURCES += besch/reader/groundobj_reader.cc
SOURCES += besch/reader/image_reader.cc
SOURCES += besch/reader/imagelist2d_reader.cc
SOURCES += besch/reader/imagelist_reader.cc
SOURCES += besch/reader/obj_reader.cc
SOURCES += besch/reader/pedestrian_reader.cc
SOURCES += besch/reader/roadsign_reader.cc
SOURCES += besch/reader/root_reader.cc
SOURCES += besch/reader/sim_reader.cc
SOURCES += besch/reader/skin_reader.cc
SOURCES += besch/reader/sound_reader.cc
SOURCES += besch/reader/text_reader.cc
SOURCES += besch/reader/tree_reader.cc
SOURCES += besch/reader/tunnel_reader.cc
SOURCES += besch/reader/vehicle_reader.cc
SOURCES += besch/reader/way_obj_reader.cc
SOURCES += besch/reader/way_reader.cc
SOURCES += besch/reader/xref_reader.cc
SOURCES += besch/sound_besch.cc
SOURCES += besch/tunnel_besch.cc
SOURCES += besch/vehikel_besch.cc
SOURCES += besch/ware_besch.cc
SOURCES += boden/boden.cc
SOURCES += boden/brueckenboden.cc
SOURCES += boden/fundament.cc
SOURCES += boden/grund.cc
SOURCES += boden/monorailboden.cc
SOURCES += boden/tunnelboden.cc
SOURCES += boden/wasser.cc
SOURCES += boden/wege/kanal.cc
SOURCES += boden/wege/maglev.cc
SOURCES += boden/wege/monorail.cc
SOURCES += boden/wege/narrowgauge.cc
SOURCES += boden/wege/runway.cc
SOURCES += boden/wege/schiene.cc
SOURCES += boden/wege/strasse.cc
SOURCES += boden/wege/weg.cc
SOURCES += dataobj/crossing_logic.cc
SOURCES += dataobj/dingliste.cc
SOURCES += dataobj/einstellungen.cc
SOURCES += dataobj/fahrplan.cc
SOURCES += dataobj/freelist.cc
SOURCES += dataobj/gameinfo.cc
SOURCES += dataobj/koord.cc
SOURCES += dataobj/koord3d.cc
SOURCES += dataobj/loadsave.cc
SOURCES += dataobj/marker.cc
SOURCES += dataobj/network.cc
SOURCES += dataobj/network_address.cc
SOURCES += dataobj/network_cmd.cc
SOURCES += dataobj/network_cmd_ingame.cc
SOURCES += dataobj/network_cmp_pakset.cc
SOURCES += dataobj/network_file_transfer.cc
SOURCES += dataobj/network_packet.cc
SOURCES += dataobj/network_socket_list.cc
SOURCES += dataobj/pakset_info.cc
SOURCES += dataobj/powernet.cc
SOURCES += dataobj/ribi.cc
SOURCES += dataobj/route.cc
SOURCES += dataobj/scenario.cc
SOURCES += dataobj/tabfile.cc
SOURCES += dataobj/translator.cc
SOURCES += dataobj/umgebung.cc
SOURCES += dataobj/warenziel.cc
SOURCES += dings/baum.cc
SOURCES += dings/bruecke.cc
SOURCES += dings/crossing.cc
SOURCES += dings/field.cc
SOURCES += dings/gebaeude.cc
SOURCES += dings/groundobj.cc
SOURCES += dings/label.cc
SOURCES += dings/leitung2.cc
SOURCES += dings/pillar.cc
SOURCES += dings/roadsign.cc
SOURCES += dings/signal.cc
SOURCES += dings/tunnel.cc
SOURCES += dings/wayobj.cc
SOURCES += dings/wolke.cc
SOURCES += dings/zeiger.cc
SOURCES += font.cc
SOURCES += freight_list_sorter.cc
SOURCES += gui/banner.cc
SOURCES += gui/baum_edit.cc
SOURCES += gui/citybuilding_edit.cc
SOURCES += gui/citylist_frame_t.cc
SOURCES += gui/citylist_stats_t.cc
SOURCES += gui/climates.cc
SOURCES += gui/colors.cc
SOURCES += gui/components/gui_button.cc
SOURCES += gui/components/gui_chart.cc
SOURCES += gui/components/gui_combobox.cc
SOURCES += gui/components/gui_fixedwidth_textarea.cc
SOURCES += gui/components/gui_flowtext.cc
SOURCES += gui/components/gui_image_list.cc
SOURCES += gui/components/gui_label.cc
SOURCES += gui/components/gui_numberinput.cc
SOURCES += gui/components/gui_scrollbar.cc
SOURCES += gui/components/gui_scrolled_list.cc
SOURCES += gui/components/gui_scrollpane.cc
SOURCES += gui/components/gui_speedbar.cc
SOURCES += gui/components/gui_tab_panel.cc
SOURCES += gui/components/gui_textarea.cc
SOURCES += gui/components/gui_textinput.cc
SOURCES += gui/components/gui_world_view_t.cc
SOURCES += gui/convoi_detail_t.cc
SOURCES += gui/convoi_filter_frame.cc
SOURCES += gui/convoi_frame.cc
SOURCES += gui/convoi_info_t.cc
SOURCES += gui/curiosity_edit.cc
SOURCES += gui/curiositylist_frame_t.cc
SOURCES += gui/curiositylist_stats_t.cc
SOURCES += gui/depot_frame.cc
SOURCES += gui/enlarge_map_frame_t.cc
SOURCES += gui/extend_edit.cc
SOURCES += gui/fabrik_info.cc
SOURCES += gui/factory_chart.cc
SOURCES += gui/factory_edit.cc
SOURCES += gui/factorylist_frame_t.cc
SOURCES += gui/factorylist_stats_t.cc
SOURCES += gui/fahrplan_gui.cc
SOURCES += gui/goods_frame_t.cc
SOURCES += gui/goods_stats_t.cc
SOURCES += gui/ground_info.cc
SOURCES += gui/gui_container.cc
SOURCES += gui/gui_convoiinfo.cc
SOURCES += gui/gui_frame.cc
SOURCES += gui/halt_detail.cc
SOURCES += gui/halt_info.cc
SOURCES += gui/halt_list_filter_frame.cc
SOURCES += gui/halt_list_frame.cc
SOURCES += gui/halt_list_stats.cc
SOURCES += gui/help_frame.cc
SOURCES += gui/jump_frame.cc
SOURCES += gui/karte.cc
SOURCES += gui/kennfarbe.cc
SOURCES += gui/label_info.cc
SOURCES += gui/labellist_frame_t.cc
SOURCES += gui/labellist_stats_t.cc
SOURCES += gui/line_item.cc
SOURCES += gui/line_management_gui.cc
SOURCES += gui/load_relief_frame.cc
SOURCES += gui/loadsave_frame.cc
SOURCES += gui/map_frame.cc
SOURCES += gui/message_frame_t.cc
SOURCES += gui/message_option_t.cc
SOURCES += gui/message_stats_t.cc
SOURCES += gui/messagebox.cc
SOURCES += gui/money_frame.cc
SOURCES += gui/optionen.cc
SOURCES += gui/pakselector.cc
SOURCES += gui/password_frame.cc
SOURCES += gui/player_frame_t.cc
SOURCES += gui/privatesign_info.cc
SOURCES += gui/savegame_frame.cc
SOURCES += gui/scenario_frame.cc
SOURCES += gui/schedule_list.cc
SOURCES += gui/server_frame.cc
SOURCES += gui/settings_frame.cc
SOURCES += gui/settings_stats.cc
SOURCES += gui/signal_spacing.cc
SOURCES += gui/sound_frame.cc
SOURCES += gui/sprachen.cc
SOURCES += gui/stadt_info.cc
SOURCES += gui/station_building_select.cc
SOURCES += gui/thing_info.cc
SOURCES += gui/trafficlight_info.cc
SOURCES += gui/welt.cc
SOURCES += gui/werkzeug_waehler.cc
SOURCES += old_blockmanager.cc
SOURCES += player/ai.cc
SOURCES += player/ai_goods.cc
SOURCES += player/ai_passenger.cc
SOURCES += player/simplay.cc
SOURCES += simcity.cc
SOURCES += simconvoi.cc
SOURCES += simdebug.cc
SOURCES += simdepot.cc
SOURCES += simdings.cc
SOURCES += simevent.cc
SOURCES += simfab.cc
SOURCES += simhalt.cc
SOURCES += simintr.cc
SOURCES += simio.cc
SOURCES += simline.cc
SOURCES += simlinemgmt.cc
SOURCES += simmain.cc
SOURCES += simmem.cc
SOURCES += simmenu.cc
SOURCES += simmesg.cc
SOURCES += simplan.cc
SOURCES += simskin.cc
SOURCES += simsound.cc
SOURCES += simsys.cc
SOURCES += simticker.cc
SOURCES += simtools.cc
SOURCES += simview.cc
SOURCES += simware.cc
SOURCES += simwerkz.cc
SOURCES += simwin.cc
SOURCES += simworld.cc
SOURCES += sucher/platzsucher.cc
SOURCES += unicode.cc
SOURCES += utils/cbuffer_t.cc
SOURCES += utils/checksum.cc
SOURCES += utils/log.cc
SOURCES += utils/memory_rw.cc
SOURCES += utils/searchfolder.cc
SOURCES += utils/sha1.cc
SOURCES += utils/simstring.cc
SOURCES += vehicle/movingobj.cc
SOURCES += vehicle/simpeople.cc
SOURCES += vehicle/simvehikel.cc
SOURCES += vehicle/simverkehr.cc

SOURCES += simgraph$(COLOUR_DEPTH).cc


ifeq ($(BACKEND),allegro)
  SOURCES  += simsys_d.cc
  SOURCES += sound/allegro_sound.cc
  SOURCES += music/allegro_midi.cc
  ifeq ($(ALLEGRO_CONFIG),)
    ALLEGRO_CFLAGS  :=
    ALLEGRO_LDFLAGS := -lalleg
  else
    ALLEGRO_CFLAGS  := $(shell $(ALLEGRO_CONFIG) --cflags)
    ALLEGRO_LDFLAGS := $(shell $(ALLEGRO_CONFIG) --libs)
  endif
  CFLAGS += $(ALLEGRO_CFLAGS) -DUSE_SOFTPOINTER
  LIBS   += $(ALLEGRO_LDFLAGS)
endif


ifeq ($(BACKEND),gdi)
  SOURCES += simsys_w.cc
  SOURCES += music/w32_midi.cc
  SOURCES += sound/win32_sound.cc
endif


ifeq ($(BACKEND),sdl)
  SOURCES += simsys_s.cc
  CFLAGS  += -DUSE_16BIT_DIB
  ifeq ($(OSTYPE),mac)
    # Core Audio (Quicktime) base sound system routines
    SOURCES += sound/core-audio_sound.mm
    SOURCES += music/core-audio_midi.mm
    LIBS    += -framework Foundation -framework QTKit
  else
    SOURCES  += sound/sdl_sound.cc
    ifeq ($(findstring $(OSTYPE), cygwin mingw),)
	    SOURCES += music/no_midi.cc
    else
      SOURCES += music/w32_midi.cc
    endif
  endif
  ifeq ($(SDL_CONFIG),)
    ifeq ($(OSTYPE),mac)
      SDL_CFLAGS  := -I/System/Libraries/Frameworks/SDL/Headers -Dmain=SDL_main
      SDL_LDFLAGS := -framework SDL -framework Cocoa -I/System/Libraries/Frameworks/SDL/Headers SDLMain.m
    else
      SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
      SDL_LDFLAGS := -lSDLmain -lSDL -mwindows
    endif
  else
    SDL_CFLAGS  := $(shell $(SDL_CONFIG) --cflags)
    SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
  endif

  CFLAGS += $(SDL_CFLAGS)
  LIBS   += $(SDL_LDFLAGS)
endif


ifeq ($(BACKEND),mixer_sdl)
  SOURCES += simsys_s.cc
  SOURCES += sound/sdl_mixer_sound.cc
  SOURCES += music/sdl_midi.cc
  CFLAGS  += -DUSE_16BIT_DIB
  ifeq ($(SDL_CONFIG),)
    SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main

=== makeobj/Makefile ===
CFG ?= default
-include ../config.$(CFG)

OSTYPES       = beos cygwin freebsd haiku linux mingw mac

ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
  $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
endif

PNG_CONFIG ?= pkg-config libpng

ifneq ($(PNG_CONFIG),)
	PNG_CFLAGS  := $(shell $(PNG_CONFIG) --cflags)
	PNG_LDFLAGS := $(shell $(PNG_CONFIG) --libs)
endif

CFLAGS  += $(PNG_CFLAGS)
LDFLAGS += $(PNG_LDFLAGS)

# Absolutely essential
CFLAGS += -DMAKEOBJ
CXXFLAGS += -DMAKEOBJ

STD_LIBS += -lz -lbz2 -lpng -lm

ifeq ($(OSTYPE),cygwin)
  OS_INC   ?= -I/usr/include/mingw
  OS_OPT   ?= -mwin32
  STD_LIBS += -lwinmm
endif

ifeq ($(OSTYPE),mingw)
  CC ?= gcc
  OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
  # we need the libraries EXACTLY in this order to link
  STD_LIBS = -lmingw32 -lpng -lz -lstdc++
endif

ifeq ($(OSTYPE),mac)
  CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
  CXXFLAGS   += -DUSE_HW -DUSE_C
endif

ifneq ($(OPTIMISE),)
  CFLAGS   += -O3 -fno-schedule-insns
  CXXFLAGS += -O3 -fno-schedule-insns
  ifneq ($(OSTYPE),mac)
    CFLAGS  += -minline-all-stringops
  endif
else
  CFLAGS   += -O
  CXXFLAGS += -O
endif

ifdef DEBUG
  ifeq ($(shell expr $(DEBUG) \>= 1), 1)
    CFLAGS   += -g -DDEBUG
    CXXFLAGS += -g -DDEBUG
  endif
  ifeq ($(shell expr $(DEBUG) \>= 2), 1)
    CFLAGS   += -fno-inline
    CXXFLAGS += -fno-inline
  endif
  ifeq ($(shell expr $(DEBUG) \>= 3), 1)
    CFLAGS   += -O0
    CXXFLAGS += -O0
  endif
else
  CFLAGS += -DNDEBUG
  CXXFLAGS += -DNDEBUG
endif

ifneq ($(PROFILE),)
  CFLAGS   += -pg -DPROFILE -fno-inline
  CXXFLAGS += -pg -DPROFILE -fno-inline
  LDFLAGS += -pg
endif

CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes $(OS_INC) $(OS_OPT) $(FLAGS)
CXXFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(OS_INC) $(OS_OPT) $(FLAGS)

# SOLO_SOURCES contains files which are unique to makeobj;
# SHARED_SOURCES contains those with the exact same object code in makeobj and simutrans;
# VARIANT_SOURCES contains those which need different .o files for makeobj and simutrans.
# At the moment they're all treated identically, of course.
SOLO_SOURCES += makeobj.cc
SOLO_SOURCES += ../besch/writer/bridge_writer.cc
SOLO_SOURCES += ../besch/writer/building_writer.cc
SOLO_SOURCES += ../besch/writer/citycar_writer.cc
SOLO_SOURCES += ../besch/writer/crossing_writer.cc
SOLO_SOURCES += ../besch/writer/factory_writer.cc
SOLO_SOURCES += ../besch/writer/get_climate.cc
SOLO_SOURCES += ../besch/writer/get_waytype.cc
SOLO_SOURCES += ../besch/writer/good_writer.cc
SOLO_SOURCES += ../besch/writer/groundobj_writer.cc
SOLO_SOURCES += ../besch/writer/ground_writer.cc
SOLO_SOURCES += ../besch/writer/image_writer.cc
SOLO_SOURCES += ../besch/writer/imagelist2d_writer.cc
SOLO_SOURCES += ../besch/writer/imagelist_writer.cc
SOLO_SOURCES += ../besch/writer/obj_node.cc
SOLO_SOURCES += ../besch/writer/obj_writer.cc
SOLO_SOURCES += ../besch/writer/pedestrian_writer.cc
SOLO_SOURCES += ../besch/writer/roadsign_writer.cc
SOLO_SOURCES += ../besch/writer/root_writer.cc
SOLO_SOURCES += ../besch/writer/sim_writer.cc
SOLO_SOURCES += ../besch/writer/skin_writer.cc
SOLO_SOURCES += ../besch/writer/sound_writer.cc
SOLO_SOURCES += ../besch/writer/text_writer.cc
SOLO_SOURCES += ../besch/writer/tree_writer.cc
SOLO_SOURCES += ../besch/writer/tunnel_writer.cc
SOLO_SOURCES += ../besch/writer/vehicle_writer.cc
SOLO_SOURCES += ../besch/writer/way_writer.cc
SOLO_SOURCES += ../besch/writer/way_obj_writer.cc
SOLO_SOURCES += ../besch/writer/xref_writer.cc
SOLO_SOURCES += ../utils/dr_rdpng.cc
SHARED_SOURCES += ../besch/bild_besch.cc
SHARED_SOURCES += ../dataobj/freelist.cc
SHARED_SOURCES += ../dataobj/tabfile.cc
SHARED_SOURCES += ../simdebug.cc
SHARED_SOURCES += ../simmem.cc
SHARED_SOURCES += ../utils/simstring.cc
SHARED_SOURCES += ../utils/searchfolder.cc
VARIANT_SOURCES += ../simtools.cc
VARIANT_SOURCES += ../utils/log.cc

SOURCES ?= $(SOLO_SOURCES) $(SHARED_SOURCES) $(VARIANT_SOURCES)

BUILDDIR ?= build/$(CFG)
TOOL  = makeobj
PROG ?= makeobj
ifeq ($(origin MAKEOBJ_PROGDIR), undefined)
  MAKEOBJ_PROGDIR := $(BUILDDIR)/$(TOOL)
endif

BUILDDIR := ../$(BUILDDIR)
MAKEOBJ_PROGDIR := ../$(MAKEOBJ_PROGDIR)

TOOL_PROGDIR = $(MAKEOBJ_PROGDIR)

include ../uncommon.mk

=== nettools/Makefile ===
CFG ?= default
-include ../config.$(CFG)

OSTYPES       = beos cygwin freebsd haiku linux mingw mac

ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
  $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
endif

# Absolutely essential
CFLAGS += -DNETTOOL
CXXFLAGS += -DNETTOOL

ifeq ($(OSTYPE),cygwin)
  OS_INC   ?= -I/usr/include/mingw
  OS_OPT   ?= -mwin32
  STD_LIBS += -lwinmm -lcurses
endif

ifeq ($(OSTYPE),mingw)
  CC ?= gcc
  OS_OPT   ?= -mno-cygwin -march=pentium
  # we need the libraries EXACTLY in this order to link
  STD_LIBS = -lmingw32 -lstdc++ -lwsock32
endif

ifeq ($(OSTYPE),mac)
  CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
  CXXFLAGS   += -DUSE_HW -DUSE_C
endif

ifneq ($(OPTIMISE),)
  CFLAGS   += -O3 -fno-schedule-insns
  CXXFLAGS += -O3 -fno-schedule-insns
  ifneq ($(OSTYPE),mac)
    CFLAGS  += -minline-all-stringops
  endif
else
  CFLAGS   += -O
  CXXFLAGS += -O
endif

ifdef DEBUG
  ifeq ($(shell expr $(DEBUG) \>= 1), 1)
    CFLAGS   += -g -DDEBUG
    CXXFLAGS += -g -DDEBUG
  endif
  ifeq ($(shell expr $(DEBUG) \>= 2), 1)
    CFLAGS   += -fno-inline
    CXXFLAGS += -fno-inline
  endif
  ifeq ($(shell expr $(DEBUG) \>= 3), 1)
    CFLAGS   += -O0
    CXXFLAGS += -O0
  endif
else
  CFLAGS += -DNDEBUG
  CXXFLAGS += -DNDEBUG
endif

ifneq ($(PROFILE),)
  CFLAGS   += -pg -DPROFILE -fno-inline
  CXXFLAGS += -pg -DPROFILE -fno-inline
  LDFLAGS += -pg
endif

CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes $(OS_INC) $(OS_OPT) $(FLAGS)
CXXFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(OS_INC) $(OS_OPT) $(FLAGS)

# SOLO_SOURCES contains files which are unique to nettool;
# SHARED_SOURCES contains those with the exact same object code in nettool and simutrans;
# VARIANT_SOURCES contains those which need different .o files for nettool and simutrans.
# At the moment they're all treated identically, of course.
SOLO_SOURCES += nettool.cc
SHARED_SOURCES += ../dataobj/freelist.cc
SHARED_SOURCES += ../dataobj/network_address.cc
SHARED_SOURCES += ../dataobj/network_cmd.cc
SHARED_SOURCES += ../dataobj/network_packet.cc
SHARED_SOURCES += ../dataobj/network_socket_list.cc
SHARED_SOURCES += ../simdebug.cc
SHARED_SOURCES += ../simmem.cc
SHARED_SOURCES += ../utils/memory_rw.cc
SHARED_SOURCES += ../utils/simstring.cc
SHARED_SOURCES += ../utils/fetchopt.cc
VARIANT_SOURCES += ../utils/log.cc
VARIANT_SOURCES += ../dataobj/network.cc
VARIANT_SOURCES += ../dataobj/network_file_transfer.cc

SOURCES ?= $(SOLO_SOURCES) $(SHARED_SOURCES) $(VARIANT_SOURCES)

BUILDDIR ?= build/$(CFG)
TOOL  = nettool
PROG ?= nettool
ifeq ($(origin NETTOOL_PROGDIR), undefined)
  NETTOOL_PROGDIR := $(BUILDDIR)/$(TOOL)
endif

BUILDDIR := ../$(BUILDDIR)
NETTOOL_PROGDIR := ../$(NETTOOL_PROGDIR)

TOOL_PROGDIR = $(NETTOOL_PROGDIR)

include ../uncommon.mk

=== debian/changelog ===
simutrans (111.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Update get-orig-source target for new upstream release.
  * Use xz compression for source and binary packages.
  * Use override_* targets to simplify debian/rules.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 03 Nov 2011 19:59:02 +0100

=== debian/control ===
Source: simutrans
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Clint Adams <clint@gnu.org>
Build-Depends: debhelper (>= 7.0.50~), libsdl1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, imagemagick, libpng12-dev, libbz2-dev, libssl-dev, dpkg (>= 1.15.7), hardening-includes
Standards-Version: 3.9.2
Homepage: http://www.simutrans.com/
Vcs-Git: git://git.debian.org/git/pkg-games/simutrans.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/simutrans.git

Package: simutrans
Architecture: any
Depends: simutrans-pak64 (>= 102.2.1), simutrans-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Suggests: freepats
Description: transportation simulator
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.

Package: simutrans-data
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: transportation simulator (base data)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the base data.

Package: simutrans-makeobj
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: data file compiler for Simutrans
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the makeobj program needed to integrate new objects
 in Simutrans.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for simutrans

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export VERBOSE  = 1

export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
export CCFLAGS  = $(CFLAGS)
export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

include /usr/share/hardening-includes/hardening.make
CFLAGS   += $(HARDENING_CFLAGS)
CXXFLAGS += $(HARDENING_CFLAGS)
LDFLAGS  += $(HARDENING_LDFLAGS)

TARGETS := binary binary-arch binary-indep build build-arch build-indep clean
.PHONY: $(TARGETS)
$(TARGETS):
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C makeobj
	$(MAKE) -C nettools

	convert simutrans.ico -alpha on debian/simutrans.xpm

	[ -d skin ] || mkdir skin
	./build/default/makeobj/makeobj pak ./skin/ ./skins.src/

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C makeobj clean
	$(MAKE) -C nettools clean
	$(RM) -r skin

# These languages will be excluded
BROKEN_LANG = ce cn id tr

override_dh_install:
	dh_install

	install -m 755 build/default/sim $(CURDIR)/debian/simutrans/usr/games/simutrans
	install -m 755 build/default/nettool/nettool $(CURDIR)/debian/simutrans/usr/games/simutrans-nettool

	for lang in $(BROKEN_LANG); do \
	  $(RM) $(CURDIR)/debian/simutrans-data/usr/share/games/simutrans/text/$$lang.tab ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs simutrans/history.txt

override_dh_builddeb:
	dh_builddeb -- -Zxz

# SVN revision and package version to use when building .orig.tar.gz
SVNREV  = 4913
VERSION = 111.0
SVNROOT = svn://tron.homeunix.org/simutrans/simutrans/trunk

get-orig-source:
	svn export --username anon --password "" -r $(SVNREV) $(SVNROOT) simutrans-$(VERSION)

	# source is skins.src/*, only removed to make sure we rebuild it.
	$(RM) simutrans-$(VERSION)/simutrans/skin/menu.WindowSkin.pak
	# freeware, cf. http://www.packetizer.com/security/sha1/ [2011-02-15]
	$(RM) simutrans-$(VERSION)/utils/sha1.cc simutrans-$(VERSION)/utils/sha1.h

	tar c simutrans-$(VERSION) | xz >simutrans_$(VERSION).orig.tar.xz
	$(RM) -r simutrans-$(VERSION)

update-translations:
	dh_testdir
	wget --post-data "version=0&choice=all&submit=Export!" --delete-after "http://simutrans-germany.com/translator/script/main.php?page=wrap"
	wget -N http://simutrans-germany.com/translator/data/tab/language_pack-Base+texts.zip
	unzip -o -d debian/translations language_pack-Base+texts.zip "*.tab"
	$(RM) language_pack-Base+texts.zip

## simutrans 111.2.2

=== makeobj/Makefile ===
--- 
+++ 
@@ -31,9 +31,9 @@
 
 ifeq ($(OSTYPE),mingw)
   CC ?= gcc
-  OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
+  OS_OPT   ?= -DPNG_STATIC -DZLIB_STATIC -march=pentium
   # we need the libraries EXACTLY in this order to link
-  STD_LIBS = -lmingw32 -lpng -lz -lstdc++
+  STD_LIBS = -lmingw32 -lpng -lz
 endif
 
 ifeq ($(OSTYPE),mac)
@@ -128,12 +128,12 @@
 BUILDDIR ?= build/$(CFG)
 TOOL  = makeobj
 PROG ?= makeobj
+
 ifeq ($(origin MAKEOBJ_PROGDIR), undefined)
-  MAKEOBJ_PROGDIR := $(BUILDDIR)/$(TOOL)
+  MAKEOBJ_PROGDIR := ../$(BUILDDIR)/$(TOOL)
 endif
 
 BUILDDIR := ../$(BUILDDIR)
-MAKEOBJ_PROGDIR := ../$(MAKEOBJ_PROGDIR)
 
 TOOL_PROGDIR = $(MAKEOBJ_PROGDIR)

=== nettools/Makefile ===
--- 
+++ 
@@ -91,12 +91,13 @@
 BUILDDIR ?= build/$(CFG)
 TOOL  = nettool
 PROG ?= nettool
+
 ifeq ($(origin NETTOOL_PROGDIR), undefined)
-  NETTOOL_PROGDIR := $(BUILDDIR)/$(TOOL)
+  NETTOOL_PROGDIR := ../$(BUILDDIR)/$(TOOL)
 endif
 
+
 BUILDDIR := ../$(BUILDDIR)
-NETTOOL_PROGDIR := ../$(NETTOOL_PROGDIR)
 
 TOOL_PROGDIR = $(NETTOOL_PROGDIR)

=== debian/changelog ===
simutrans (111.2.2-1) unstable; urgency=low

  * New upstream release.
    + Includes fix for build failure. (Closes: #669475)
  * Backport patch to add missing include to csv.cc.
    + new patch: 0001-Add-stdlib-to-csv.h.patch
  * Fix Endianness issue with SHA1 replacement. (LP: #931181)
  * Build-depend on libpng-dev instead of libpng12-dev. (Closes: #662502)
  * Use debhelper compat level 9.
  * Use copyright format 1.0.
  * Bumped Standards-Version to 3.9.3.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 29 Apr 2012 14:40:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Clint Adams <clint@gnu.org>
-Build-Depends: debhelper (>= 7.0.50~), libsdl1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, imagemagick, libpng12-dev, libbz2-dev, libssl-dev, dpkg (>= 1.15.7), hardening-includes
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libsdl1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, imagemagick, libpng-dev, libbz2-dev, libssl-dev, dpkg (>= 1.15.7)
+Standards-Version: 3.9.3
 Homepage: http://www.simutrans.com/
 Vcs-Git: git://git.debian.org/git/pkg-games/simutrans.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/simutrans.git

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,11 @@
 #export DH_VERBOSE=1
 #export VERBOSE  = 1
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
 export CCFLAGS  = $(CFLAGS)
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
-
-include /usr/share/hardening-includes/hardening.make
-CFLAGS   += $(HARDENING_CFLAGS)
-CXXFLAGS += $(HARDENING_CFLAGS)
-LDFLAGS  += $(HARDENING_LDFLAGS)
 
 TARGETS := binary binary-arch binary-indep build build-arch build-indep clean
 .PHONY: $(TARGETS)
@@ -57,8 +53,8 @@
 	dh_builddeb -- -Zxz
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 4913
-VERSION = 111.0
+SVNREV  = 5583
+VERSION = 111.2.2
 SVNROOT = svn://tron.homeunix.org/simutrans/simutrans/trunk
 
 get-orig-source:

## simutrans 111.3.1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 -include config.$(CFG)
 
 
-BACKENDS      = allegro gdi sdl mixer_sdl x11 posix
-COLOUR_DEPTHS = 0 8 16
+BACKENDS      = allegro gdi opengl sdl mixer_sdl posix
+COLOUR_DEPTHS = 0 16
 OSTYPES       = amiga beos cygwin freebsd haiku linux mingw mac
 
 ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
@@ -19,13 +19,8 @@
 endif
 
 
-ifeq ($(BACKEND), x11)
-  $(warning ATTENTION: X11 backend is broken)
-endif
-
-
 ifeq ($(OSTYPE),amiga)
-  STD_LIBS ?= -lz -lbz2 -lunix -lpthread -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
+  STD_LIBS ?= -lz -lbz2 -lunix -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
   CFLAGS += -mcrt=newlib -DUSE_C -DBIG_ENDIAN -gstabs+
   LDFLAGS += -Bstatic -non_shared
 endif
@@ -35,7 +30,7 @@
 endif
 
 ifeq ($(OSTYPE),haiku)
-  LIBS += -lz -lnetwork -lbz2
+  LIBS += -lz -lnetwork -lbz2 -lbe -llocale
 endif
 
 ifeq ($(OSTYPE),freebsd)
@@ -54,18 +49,24 @@
 
 
 ifeq ($(OSTYPE),cygwin)
-  CFLAGS += -I/usr/include/mingw -mwin32
-  LIBS   += -lgdi32 -lwinmm -lz -lbz2
+  SOURCES += simsys_w32_png.cc
+  CFLAGS += -I/usr/include/mingw -mwin32 -DNOMINMAX=1
+  CCFLAGS += -I/usr/include/mingw -mwin32 -DNOMINMAX=1
+  LDFLAGS += -mno-cygwin
+  LIBS   += -lgdi32 -lwinmm -lwsock32 -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),mingw)
   CC ?= gcc
   SOURCES += simsys_w32_png.cc
-  CFLAGS  += -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
+  CFLAGS  += -DPNG_STATIC -DZLIB_STATIC -march=pentium -DNOMINMAX=1
   ifeq ($(BACKEND),gdi)
     LIBS += -lunicows
-    LDFLAGS +=  -mwindows
-  endif
+    ifeq  ($(WIN32_CONSOLE),)
+      LDFLAGS += -mwindows
+    endif
+  endif
+  LDFLAGS += -static-libgcc -static-libstdc++
   LIBS += -lmingw32 -lgdi32 -lwinmm -lwsock32 -lz -lbz2
 endif
 
@@ -83,7 +84,9 @@
     CFLAGS += -O3 -fno-schedule-insns
   ifneq ($(OSTYPE),mac)
     ifneq ($(OSTYPE),haiku)
-      CFLAGS += -minline-all-stringops
+      ifneq ($(OSTYPE),amiga)
+        CFLAGS += -minline-all-stringops
+      endif
     endif
   endif
 else
@@ -114,6 +117,18 @@
     CFLAGS  += -fno-inline -fno-schedule-insns
   endif
   LDFLAGS += -pg
+endif
+
+ifneq  ($(MULTI_THREAD),)
+  CFLAGS += -DMULTI_THREAD=$(MULTI_THREAD)
+  ifneq  ($(MULTI_THREAD),1)
+    ifeq ($(OSTYPE),mingw)
+#use lpthreadGC2d for debug alternatively
+      LDFLAGS += -lpthreadGC2
+    else
+      LDFLAGS += -lpthread
+    endif
+  endif
 endif
 
 ifneq ($(WITH_REVISION),)
@@ -205,6 +220,7 @@
 SOURCES += dataobj/powernet.cc
 SOURCES += dataobj/ribi.cc
 SOURCES += dataobj/route.cc
+SOURCES += dataobj/pwd_hash.cc
 SOURCES += dataobj/scenario.cc
 SOURCES += dataobj/tabfile.cc
 SOURCES += dataobj/translator.cc
@@ -227,16 +243,18 @@
 SOURCES += dings/zeiger.cc
 SOURCES += font.cc
 SOURCES += freight_list_sorter.cc
+SOURCES += gui/ai_option_t.cc
 SOURCES += gui/banner.cc
 SOURCES += gui/baum_edit.cc
 SOURCES += gui/citybuilding_edit.cc
 SOURCES += gui/citylist_frame_t.cc
 SOURCES += gui/citylist_stats_t.cc
 SOURCES += gui/climates.cc
-SOURCES += gui/colors.cc
+SOURCES += gui/display_settings.cc
 SOURCES += gui/components/gui_button.cc
 SOURCES += gui/components/gui_chart.cc
 SOURCES += gui/components/gui_combobox.cc
+SOURCES += gui/components/gui_ding_view_t.cc
 SOURCES += gui/components/gui_fixedwidth_textarea.cc
 SOURCES += gui/components/gui_flowtext.cc
 SOURCES += gui/components/gui_image_list.cc
@@ -350,6 +368,7 @@
 SOURCES += unicode.cc
 SOURCES += utils/cbuffer_t.cc
 SOURCES += utils/checksum.cc
+SOURCES += utils/csv.cc
 SOURCES += utils/log.cc
 SOURCES += utils/memory_rw.cc
 SOURCES += utils/searchfolder.cc
@@ -397,7 +416,7 @@
   else
     SOURCES  += sound/sdl_sound.cc
     ifeq ($(findstring $(OSTYPE), cygwin mingw),)
-	    SOURCES += music/no_midi.cc
+      SOURCES += music/no_midi.cc
     else
       SOURCES += music/w32_midi.cc
     endif
@@ -405,25 +424,3 @@
   ifeq ($(SDL_CONFIG),)
     ifeq ($(OSTYPE),mac)
       SDL_CFLAGS  := -I/System/Libraries/Frameworks/SDL/Headers -Dmain=SDL_main
-      SDL_LDFLAGS := -framework SDL -framework Cocoa -I/System/Libraries/Frameworks/SDL/Headers SDLMain.m
-    else
-      SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
-      SDL_LDFLAGS := -lSDLmain -lSDL -mwindows
-    endif
-  else
-    SDL_CFLAGS  := $(shell $(SDL_CONFIG) --cflags)
-    SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
-  endif
-
-  CFLAGS += $(SDL_CFLAGS)
-  LIBS   += $(SDL_LDFLAGS)
-endif
-
-
-ifeq ($(BACKEND),mixer_sdl)
-  SOURCES += simsys_s.cc
-  SOURCES += sound/sdl_mixer_sound.cc
-  SOURCES += music/sdl_midi.cc
-  CFLAGS  += -DUSE_16BIT_DIB
-  ifeq ($(SDL_CONFIG),)
-    SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main

=== makeobj/Makefile ===
--- 
+++ 
@@ -120,7 +120,6 @@
 SHARED_SOURCES += ../simmem.cc
 SHARED_SOURCES += ../utils/simstring.cc
 SHARED_SOURCES += ../utils/searchfolder.cc
-VARIANT_SOURCES += ../simtools.cc
 VARIANT_SOURCES += ../utils/log.cc
 
 SOURCES ?= $(SOLO_SOURCES) $(SHARED_SOURCES) $(VARIANT_SOURCES)

=== debian/changelog ===
simutrans (111.3.1-1) experimental; urgency=low

  * New upstream release.
  * Make simutrans-data and simutrans-makeobj Multi-Arch: foreign.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 02 Aug 2012 17:41:50 +0200

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 Package: simutrans-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6)
 Description: transportation simulator (base data)
@@ -32,6 +33,7 @@
 
 Package: simutrans-makeobj
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6)
 Description: data file compiler for Simutrans

=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,8 @@
 	dh_builddeb -- -Zxz
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 5583
-VERSION = 111.2.2
+SVNREV  = 5844
+VERSION = 111.3.1
 SVNROOT = svn://tron.homeunix.org/simutrans/simutrans/trunk
 
 get-orig-source:

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g,dversionmangle=s/[~+]ds\d+$//" \
    http://sf.net/simutrans/simutrans-src-(.*)\.zip

## simutrans 120.1.1+repack

=== debian/changelog ===
simutrans (120.1.1+repack-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Switch to libpng-dev. (Closes: #810208)

 -- Markus Koschany <apo@debian.org>  Thu, 07 Jan 2016 20:03:10 +0100

simutrans (120.1.1+repack-2) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * Move makeobj from /usr/games to /usr/lib/simutrans (Closes: #780724).

  [ Markus Koschany ]
  * Add reproducible-build.patch, remove the __DATE__ macro and make the build
    reproducible.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 18 Nov 2015 12:17:29 +0100

simutrans (120.1.1+repack-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release (Closes: #708837).
  * Upload to unstable.
  * debian/control:
    - Add myself as new uploader (Closes: #783887).
    - Bump Standards-Version to 3.9.6 (No changes required).
    - Rewrite Depends.
    - Rewrite Vcs* to canonical URI.
    - Remove obsolete Pre-Depends.
  * debian/source/options:
    - Removed because xz is now standard compression.
  * debian/rules:
    - Remove override_dh_builddeb because compression xz is now standard.
    - Remove obsolete nettools and skin.
    - To prevent FTBFS with sbuild add dh_quilt_patch to
      override_dh_auto_clean.
    - Remove BROKEN_LANG loop.
    - Split override_dh_install into override_dh_install-arch and
      override_dh_install-indep.
  * debian/copyright:
    - Add myself to debian/*
    - Remove obsolete utils/dr_rdgif.c.
    - Rewrite for the new upstream release.
  * Remove debian/patches/sha1-replacement.diff.
  * Remove double debian/patches/path-for-game-data.diff.
  * Refresh debian/patches/*.
  * Rewrite source handling:
    - New debian/repack.sh.
    - debian/watch: add parameter "debian debian/repack.sh".
    - Rewrite debian/README.source.
  * New d/p/0510-missing_uncommon_mk.patch to include missing uncommon.mk.
  * Update debian/translations.
  * New debian/gbp.conf.
  * Remove convert of simutrans.xpm and install it direct (Closes: #804666).
    - debian/rules: Remove convert call.
    - debian/control: Remove imagemagick from Build-Depends.
    - New debian/pixmaps/simutrans.xpm

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 14 Nov 2015 19:01:56 +0100

=== debian/control ===
Source: simutrans
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
 Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 debhelper (>= 9),
 libbz2-dev,
 libpng-dev,
 libsdl1.2-dev,
 libsdl-mixer1.2-dev,
 libssl-dev,
 quilt,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.simutrans.com/
Vcs-Git: git://anonscm.debian.org/pkg-games/simutrans.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans.git

Package: simutrans
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 simutrans-pak64 (>= 120.0.1),
 simutrans-data (= ${source:Version})
Suggests: freepats
Description: transportation simulator
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.

Package: simutrans-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: transportation simulator (base data)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the base data.

Package: simutrans-makeobj
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: data file compiler for Simutrans
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the makeobj program needed to integrate new objects
 in Simutrans.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for simutrans

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export VERBOSE  = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
export CCFLAGS  = $(CFLAGS)
export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
export CXXFLAGS += -D_FORTIFY_SOURCE=2
export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C makeobj

override_dh_auto_clean:
	dh_quilt_patch
	dh_auto_clean
	$(MAKE) -C makeobj clean
	$(RM) -r skin
	$(RM) -r build

override_dh_install-arch:
	dh_install
	install -m 755 build/default/sim $(CURDIR)/debian/simutrans/usr/games/simutrans

override_dh_install-indep:
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs simutrans/history.txt

update-translations:
	dh_testdir
	wget --post-data "version=0&choice=all&submit=Export!" --delete-after "http://simutrans-germany.com/translator/script/main.php?page=wrap"
	wget -N http://simutrans-germany.com/translator/data/tab/language_pack-Base+texts.zip
	unzip -o -d debian/translations language_pack-Base+texts.zip "*.tab"
	$(RM) language_pack-Base+texts.zip

get-orig-source:
	uscan --verbose --download-current-version --force-download

=== debian/watch ===
version=3
opts=uversionmangle=s/-/./g,\
dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
http://sf.net/simutrans/simutrans-src-(.*)\.zip debian debian/repack.sh
